## golang-1.18 1.18

=== debian/changelog ===
golang-1.18 (1.18-1) unstable; urgency=medium

  * New upstream version 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 15 Mar 2022 14:59:19 -0500

golang-1.18 (1.18~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18~rc1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 18 Feb 2022 01:31:48 +0800

golang-1.18 (1.18~beta2-1) unstable; urgency=medium

  * New upstream version 1.18 beta2

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Mon, 31 Jan 2022 16:53:48 -0600

golang-1.18 (1.18~beta1-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Thu, 13 Jan 2022 14:01:05 -0700

golang-1.18 (1.18~beta1-1) unstable; urgency=medium

  * New upstream version 1.18 beta1

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 15 Dec 2021 16:07:48 -0600

golang-1.17 (1.17.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17.5
    + CVE-2021-44716: net/http: limit growth of header canonicalization cache
    + CVE-2021-44717: syscall: don’t close fd 0 on ForkExec error

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 09 Dec 2021 23:22:36 +0800

golang-1.17 (1.17.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17.4

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 04 Dec 2021 01:32:29 +0800

golang-1.17 (1.17.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17.3
    + CVE-2021-41771: debug/macho: invalid dynamic symbol table command
      can cause panic
    + CVE-2021-41772: archive/zip: Reader.Open panics on empty string

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 07 Nov 2021 22:33:32 +0800

golang-1.17 (1.17.2-1) unstable; urgency=medium

  * Team upload.

  [ Anthony Fok ]
  * Fix Lintian warning: tab-in-license-text
    debian/copyright (starting at line 366)

  [ Shengjing Zhu ]
  * Ensure GOROOT_BOOTSTRAP is valid
  * Set GOPATH in d/rules.
    Seems the go command needs GOPATH env
  * New upstream version 1.17.2
    + CVE-2021-38297: When invoking functions from WASM modules, built using
      GOARCH=wasm GOOS=js, passing very large arguments can cause portions of
      the module to be overwritten with data from the arguments

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 09 Oct 2021 01:23:05 +0800

golang-1.17 (1.17.1-1) unstable; urgency=high

  * New upstream version 1.17.1
    + CVE-2021-39293: security fix to the archive/zip package
      The fix for CVE-2021-33196 can be bypassed by crafted inputs.
      As a result, the NewReader and OpenReader functions in archive/zip
      can still cause a panic or an unrecoverable fatal error when reading
      an archive that claims to contain a large number of files,
      regardless of its actual size.
      Thanks to the OSS-Fuzz project for discovering this issue
      and to Emmanuel Odeke for reporting it.
    + bug fixes to the archive/zip, go/internal/gccgoimporter,
      html/template, net/http, and runtime/pprof packages
  * Re-add "Multi-Arch: foreign" hint
  * Rename Maintainer from "Go Compiler Team" to "Debian Go Compiler Team"
  * Bump Standards-Version to 4.6.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 10 Sep 2021 18:01:21 -0600

golang-1.17 (1.17-3) unstable; urgency=medium

  * Team upload.
  * Add missing generated buildcfg file (Closes: #993450)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Sep 2021 00:08:21 +0800

golang-1.17 (1.17-2) unstable; urgency=medium

  * Team upload.
  * Fix extracting go version for gccgo

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 29 Aug 2021 01:16:12 +0800

golang-1.17 (1.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17
  * Refresh patches, dropping
    0003-cmd-go-cmd-cgo-pass-mfp32-and-mhard-soft-float-to-MI.patch which was
    merged upstream.
  * Do not include the now-deleted favicon.ico in golang-1.17-doc.
  * Add one more arch-independent-package-contains-binary-or-object lintian
    suppression.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 17 Aug 2021 13:03:28 +1200

golang-1.16 (1.16.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.7
    + CVE-2021-36221: net/http: panic due to racy read of persistConn after
      handler panic

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 06 Aug 2021 02:38:44 +0800

golang-1.16 (1.16.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.6
    + CVE-2021-34558: crypto/tls: clients can panic when provided a certificate
      of the wrong type for the negotiated parameters

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Jul 2021 13:11:46 +0800

golang-1.16 (1.16.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.5
    + CVE-2021-33195: net: Lookup functions may return invalid host names
    + CVE-2021-33196: archive/zip: malformed archive may cause panic or memory
      exhaustion (Closes: #989492)
    + CVE-2021-33197: net/http/httputil: ReverseProxy forwards Connection
      headers if first one is empty
    + CVE-2021-33198: math/big: (*Rat).SetString with "1.770p02041010010011001001"
      crashes with "makeslice: len out of range"

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Jun 2021 19:03:59 +0800

golang-1.16 (1.16.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.16.4
    Fix CVE-2021-31525 net/http: ReadRequest can stack overflow due to
    recursion with very large headers

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 08 May 2021 02:27:38 +0800

golang-1.16 (1.16.3-4) unstable; urgency=medium

  * Team upload.
  * Remove bootstrap dir after build. Otherwise tests fail

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Apr 2021 02:05:56 +0800

golang-1.16 (1.16.3-3) unstable; urgency=medium

  * Team upload.
  * Drop mtime hack in postinst and d/rules
    https://github.com/golang/go/issues/3506#issuecomment-341310161
    > Essentially everything involved in this report has been rewritten.

