## golang-1.18 1.18.1

=== debian/changelog ===
golang-1.18 (1.18.1-1ubuntu1~20.04.2A~5.0.0.202404291504) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    01_debhelper12.patch

 -- Univention builddaemon <buildd@univention.de>  Mon, 29 Apr 2024 15:04:37 -0000

golang-1.18 (1.18.1-1ubuntu1~20.04.2) focal-security; urgency=medium

  * SECURITY UPDATE: http request smuggling issue
    - debian/patches/CVE-2022-1705.patch: don't strip whitespace from
      Transfer-Encoding headers
    - CVE-2022-1705
  * SECURITY UPDATE: DoS issue due to panic
    - debian/patches/CVE-2022-1962.patch: limit recursion depth
    - debian/patches/CVE-2022-27664.patch: update bundled golang.org/x/net/http2
    - debian/patches/CVE-2022-28131.patch: use iterative Skip, rather than
      recursive
    - debian/patches/CVE-2022-30630.patch: fix stack exhaustion in Glob
    - debian/patches/CVE-2022-30631.patch: fix stack exhaustion bug in
      Reader.Read
    - debian/patches/CVE-2022-30632.patch: fix stack exhaustion in Glob
    - debian/patches/CVE-2022-30633.patch: limit depth of nesting in unmarshal
    - debian/patches/CVE-2022-30635.patch: add a depth limit for ignored fields
    - debian/patches/CVE-2022-32189.patch: check buffer lengths in GobDecode
    - debian/patches/CVE-2022-41715.patch: limit size of parsed regexps
    - debian/patches/CVE-2022-41717.patch: update bundled golang.org/x/net/http2
    - debian/patches/CVE-2023-24534.patch: avoid overpredicting the number of
      MIME header keys
    - CVE-2022-1962
    - CVE-2022-27664
    - CVE-2022-28131
    - CVE-2022-30630
    - CVE-2022-30631
    - CVE-2022-30632
    - CVE-2022-30633
    - CVE-2022-30635
    - CVE-2022-32189
    - CVE-2022-41715
    - CVE-2022-41717
    - CVE-2023-24534
  * SECURITY UPDATE: out-of-bound read issue
    - debian/patches/CVE-2022-2879.patch: limit size of headers
    - CVE-2022-2879
  * SECURITY UPDATE: query parameter smuggling issue in Go proxy
    - debian/patches/CVE-2022-2880.patch: avoid query parameter smuggling
    - CVE-2022-2880
  * SECURITY UPDATE: Incorrect privilege assignment issue
    - debian/patches/CVE-2022-29526.patch: check correct group in Faccessat
    - CVE-2022-29526
  * SECURITY UPDATE: tls session takeover vulnerability
    - debian/patches/CVE-2022-30629.patch: randomly generate ticket_age_add
    - CVE-2022-30629
  * SECURITY UPDATE: sensitive information exposure
    - debian/patches/CVE-2022-32148.patch: preserve nil values in Header.Clone
    - CVE-2022-32148
  * SECURITY UPDATE: integer overflow issue
    - debian/patches/CVE-2023-24537.patch: reject large line and column number
      in //line directives
    - CVE-2023-24537
  * SECURITY UPDATE: code injection vulnerability
    - debian/patches/CVE-2023-24538.patch: disallow actions in JS template
      literals
    - debian/patches/godebug_dep_test_error.patch: fix test dependency error
    - CVE-2023-24538

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 24 Apr 2023 17:28:49 +0530

golang-1.18 (1.18.1-1ubuntu1~20.04.1) focal; urgency=medium

  * Backport to Focal (LP: #1977860).
    - Downgrade debhelper compat level to 12.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 22 Nov 2022 16:55:16 -0300

golang-1.18 (1.18.1-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - 0001-cmd-link-check-CGO_CFLAGS-for-non-g-I-O-options-befo.patch
      disable internal linking when dynamically linking and CGO_CFLAGS
      contains flags that might make host object files that the internal
      linkers ELF reader does not support. This fixes lots of package builds
      when LTO is enabled by default via dpkg-buildflags.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 13 Apr 2022 16:52:45 -0500

golang-1.18 (1.18.1-1) unstable; urgency=medium

  * New upstream version 1.18.1
    + CVE-2022-24675: encoding/pem: fix stack overflow in Decode
    + CVE-2022-28327: crypto/elliptic: tolerate all oversized scalars
      in generic P-256
    + CVE-2022-27536: crypto/x509: non-compliant certificates can
      cause a panic in Verify on macOS in Go 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 13 Apr 2022 12:54:36 -0500
