## golang-1.18 1.18.2

=== debian/changelog ===
golang-1.18 (100:1.18.2-1) UNRELEASED; urgency=medium

  * https://github.com/golang/go/releases/tag/go1.18.2

 -- Wong Hoi Sing Edison <hswong3i@gmail.com>  Wed, 11 May 2022 15:46:18 +0800
