## golang-1.18 1.18.4

=== debian/changelog ===
golang-1.18 (1.18.4-2+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 09 Aug 2022 16:49:03 +0000

golang-1.18 (1.18.4-2) unstable; urgency=medium

  * Team upload.
  * cmd/compile: revert "fix missing dict pass for type assertions"
    Backport patch from https://go.dev/cl/417615 (Closes: #1015088)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 26 Jul 2022 10:58:55 +0800

golang-1.18 (1.18.4-1) unstable; urgency=medium

  * New upstream version 1.18.4
    + CVE-2022-1705: net/http: improper sanitization of Transfer-Encoding
      header
    + CVE-2022-32148: When httputil.ReverseProxy.ServeHTTP was called with a
      Request.Header map containing a nil value for the X-Forwarded-For header,
      ReverseProxy would set the client IP as the value of the X-Forwarded-For
      header, contrary to its documentation. In the more usual case where a
      Director function set the X-Forwarded-For header value to nil,
      ReverseProxy would leave the header unmodified as expected.
    + CVE-2022-30631: compress/gzip: stack exhaustion in Reader.Read
    + CVE-2022-30633: encoding/xml: stack exhaustion in Unmarshal
    + CVE-2022-28131: encoding/xml: stack exhaustion in Decoder.Skip
    + CVE-2022-30635: encoding/gob: stack exhaustion in Decoder.Decode
    + CVE-2022-30632: path/filepath: stack exhaustion in Glob
    + CVE-2022-30630: io/fs: stack exhaustion in Glob
    + CVE-2022-1962: go/parser: stack exhaustion in all Parse* functions

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 12 Jul 2022 19:08:18 -0500

golang-1.18 (1.18.3-1) unstable; urgency=medium

  * New upstream version 1.18.3

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 01 Jun 2022 17:23:29 -0500

golang-1.18 (1.18.2-2) unstable; urgency=medium

  * d/p/0007-cmd-link-use-TOC-relative-trampolines-on-PPC64-when-.patch:
    Remove patch.  It's causing the build on ppc64el to FTBFS during link
    time.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 14 May 2022 15:22:04 -0400

golang-1.18 (1.18.2-1) unstable; urgency=medium

  * New upstream version 1.18.2
  * d/p/0007-cmd-link-use-TOC-relative-trampolines-on-PPC64-when-.patch:
    Use TOC-relative trampolines on ppc64el when needed.  Fix link error
    when building PIE binaries. (Closes: #1010942)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 13 May 2022 14:07:03 -0400
