=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 # This file is in the public domain.
-
-export DH_VERBOSE = 1
+# You may freely use, modify, distribute, and relicense it.
 
 # We need DEB_HOST_ARCH, so include the needed makefile snippet
 include /usr/share/dpkg/architecture.mk
@@ -16,7 +15,6 @@
 export GOPATH := $(CURDIR)/gopath/
 # Go 1.12 needs a build cache, otherwise the build fails.
 export GOCACHE := $(GOPATH)/gocache
-export GOARCH := loong64
 
 # source files generated during building.
 # especially zbootstrap.go has different defaultGOARM values on armhf and armel,
@@ -48,7 +46,7 @@
 update_upstream_signing_key:
 	wget -O debian/upstream/signing-key.asc https://dl.google.com/dl/linux/linux_signing_key.pub
 
-override_dh_auto_clean:gencontrol
+override_dh_auto_clean:
 	# remove autogenerated files
 	rm -f -v $(GENERATED_FILES)
 	# remove built objects
@@ -58,39 +56,38 @@
 		rm -f -v golang-$(GOVER)-$${x##golang-X.Y-}; \
 	done
 
-override_dh_prep:
+execute_after_dh_prep:
 	dh_prep
 	@set -e; cd debian; for x in golang-X.Y-*; do \
 		sed -e 's/X.Y/$(GOVER)/g' $$x > golang-$(GOVER)-$${x##golang-X.Y-}; \
 	done
 
+
 override_dh_auto_test-arch:
-	set -ex; \
-		uname -a; \
-		cd src; \
-		export PATH="$(GOROOT)/bin:$$PATH"; \
-		export GO_TEST_TIMEOUT_SCALE=10; \
-		eval "$$(go tool dist env)"; \
-		bash run.bash -k -no-rebuild || :;
-	# -k           keep going even when error occurred
-	# -no-rebuild  don't rebuild std and cmd packages
+	#set -ex; \
+	#	cd src; \
+	#	export PATH="$(GOROOT)/bin:$$PATH"; \
+	#	export GO_TEST_TIMEOUT_SCALE=10; \
+	#	eval "$$(go tool dist env)"; \
+	#	bash run.bash -k -no-rebuild;
+	## -k           keep going even when error occurred
+	## -no-rebuild  don't rebuild std and cmd packages
 
-	# On linux/amd64 run.bash installs some race enabled standard library
-	# packages. Delete them again to avoid accidentally including them in
-	# the package.
-	set -ex; \
-		export PATH="$(GOROOT)/bin:$$PATH"; \
-		eval "$$(go tool dist env)"; \
-		rm -rf "$(GOROOT)/pkg/$${GOOS}_$${GOARCH}_race/"
-
-	# Remove GOCACHE files
-	rm -rf $(GOCACHE)
+	## On linux/amd64 run.bash installs some race enabled standard library
+	## packages. Delete them again to avoid accidentally including them in
+	## the package.
+	#set -ex; \
+	#	export PATH="$(GOROOT)/bin:$$PATH"; \
+	#	eval "$$(go tool dist env)"; \
+	#	rm -rf "$(GOROOT)/pkg/$${GOOS}_$${GOARCH}_race/"
 
 override_dh_compress-indep:
 	dh_compress -Xusr/share/doc/golang-$(GOVER)-doc/html
 
-override_dh_install-arch:
-	dh_install
+execute_before_dh_install-arch:
+	rm -rf $(GOCACHE)
+
+execute_after_dh_install-indep:
 	# Remove generated source files, they are installed in golang-$(GOVER)-go.
 	cd debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/ && rm -v -f $(GENERATED_FILES)
 	# Remove Plan9 rc(1) scripts
@@ -100,9 +97,6 @@
 	chmod a+x debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src/cmd/vendor/golang.org/x/sys/unix/mkall.sh
 	chmod a+x debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src/cmd/vendor/golang.org/x/sys/unix/mkerrors.sh
 	chmod a+x debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src/cmd/vendor/golang.org/x/sys/windows/mkerrors.bash
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip -Xtestdata
@@ -124,6 +118,14 @@
 
 	# on i386, need to rebuild with go1.16 for GO386=softfloat
 	export GOROOT_BOOTSTRAP=$$(env -i GOPATH=$(GOPATH) go env GOROOT) \
+	&& if [ "$(DEB_HOST_ARCH)" = "i386" ] && dpkg --compare-versions $$(GOROOT_BOOTSTRAP=/usr ./debian/helpers/goenv.sh echo '$$GOVERSION_BOOTSTRAP') lt "1.16"; then \
+		mkdir -p $(CURDIR)/bootstrap \
+		&& cp -Rp $(CURDIR)/src bootstrap/ \
+		&& cp -Rp $(CURDIR)/VERSION bootstrap/ \
+		&& cd $(CURDIR)/bootstrap/src \
+		&& $(CURDIR)/debian/helpers/goenv.sh bash ./make.bash --no-banner \
+		&& export GOROOT_BOOTSTRAP=$(CURDIR)/bootstrap; \
+	fi \
 	&& cd $(CURDIR)/src \
 	&& $(CURDIR)/debian/helpers/goenv.sh bash ./make.bash --no-banner
