## golang-1.18 1.18.5

=== debian/changelog ===
golang-1.18 (1.18.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Sat, 06 Aug 2022 06:30:50 -0600

golang-1.18 (1.18.5-1) unstable; urgency=medium

  * New upstream version 1.18.5
    + CVE-2022-32189: math/big: index out of range in Float.GobDecode
    + cmd/go: Build information embedded by Go 1.18 impairs build
      reproducibility with cgo flags (Closes: #1008114)
  * Remove 0005-cmd-compile-revert-fix-missing-dict-pass-for-type-as.patch
    which has been applied upstream in v1.18.5
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Sat, 06 Aug 2022 04:56:18 -0600

golang-1.18 (1.18.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 14 Jul 2022 11:01:43 -0600

golang-1.18 (1.18.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Sat, 04 Jun 2022 00:51:27 -0600

golang-1.18 (1.18.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Mon, 30 May 2022 09:16:14 -0600

golang-1.18 (1.18.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Sun, 17 Apr 2022 04:05:56 -0600

golang-1.18 (1.18-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Sun, 20 Mar 2022 00:20:40 -0600
