## golang-1.18 1.18.7

=== debian/changelog ===
golang-1.18 (1.18.7-1) unstable; urgency=medium

  * New upstream version 1.18.7
    + CVE-2022-2879: archive/tar: unbounded memory consumption when reading
      headers
    + CVE-2022-2880: net/http/httputil: ReverseProxy should not forward
      unparseable query parameters
    + CVE-2022-41715: regexp/syntax: limit memory used by parsing regexps

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 04 Oct 2022 15:34:34 -0500

golang-1.18 (1.18.6-1) unstable; urgency=medium

  * New upstream version 1.18.6
    + CVE-2022-27664: net/http: handle server errors after sending GOAWAY
    + CVE-2022-32190: net/url: JoinPath does not strip relative path
      components in all circumstances

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 06 Sep 2022 15:05:10 -0500
