=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Build-Depends: debhelper-compat (= 13),
                golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
                netbase
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.18
 Vcs-Git: https://salsa.debian.org/go-team/compiler/golang.git -b golang-1.18
 Homepage: https://go.dev/
