## golang-1.18 1.18.8

=== debian/changelog ===
golang-1.18 (1.18.8-1) unstable; urgency=medium

  * New upstream version 1.18.8
    + CVE-2022-41716: syscall, os/exec: unsanitized NUL in environment variables
      On Windows, syscall.StartProcess and os/exec.Cmd did not properly check
      for invalid environment variable values. A malicious environment variable
      value could exploit this behavior to set a value for a different
      environment variable.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 03 Nov 2022 08:20:54 -0500
