## golang-1.18 1.18.10

=== debian/changelog ===
golang-1.18 (1.18.10-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 1.18.4-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 09 Aug 2022 16:49:03 +0000]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 17 Jan 2023 11:42:41 +0000

golang-1.18 (1.18.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18.10
  * Add NO_PNG_PKG_MANGLE to prevent mangling testdata.
    This is Ubuntu specific behaviour so they can sync the package without
    vendor patch.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Jan 2023 16:33:29 +0800

golang-1.18 (1.18.9-1) unstable; urgency=medium

  * New upstream version 1.18.9
    + CVE-2022-41720: os, net/http: avoid escapes from os.DirFS and http.Dir
      on Windows
    + CVE-2022-41717: net/http: limit canonical header cache by bytes, not
      entries

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 06 Dec 2022 13:39:48 -0600
